ActiveMQConnectionMetaData (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.client

## Class ActiveMQConnectionMetaData

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQConnectionMetaData

- All Implemented Interfaces:
    javax.jms.ConnectionMetaData

      public class ActiveMQConnectionMetaData
      extends Object
      implements javax.jms.ConnectionMetaData

  ActiveMQ Artemis implementation of a JMS ConnectionMetaData.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQConnectionMetaData(org.apache.activemq.artemis.core.version.Version serverVersion)` Create a new ActiveMQConnectionMetaData object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getJMSMajorVersion()`
    `int` | `getJMSMinorVersion()`
    `String` | `getJMSProviderName()`
    `String` | `getJMSVersion()`
    `Enumeration` | `getJMSXPropertyNames()`
    `int` | `getProviderMajorVersion()`
    `int` | `getProviderMinorVersion()`
    `String` | `getProviderVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQConnectionMetaData

          public ActiveMQConnectionMetaData(org.apache.activemq.artemis.core.version.Version serverVersion)

      Create a new ActiveMQConnectionMetaData object.

  - ### Method Detail

    - #### getJMSVersion

          public String getJMSVersion()
                               throws javax.jms.JMSException

      Specified by:
        `getJMSVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSMajorVersion

          public int getJMSMajorVersion()
                                 throws javax.jms.JMSException

      Specified by:
        `getJMSMajorVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSMinorVersion

          public int getJMSMinorVersion()
                                 throws javax.jms.JMSException

      Specified by:
        `getJMSMinorVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSProviderName

          public String getJMSProviderName()
                                    throws javax.jms.JMSException

      Specified by:
        `getJMSProviderName` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getProviderVersion

          public String getProviderVersion()
                                    throws javax.jms.JMSException

      Specified by:
        `getProviderVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getProviderMajorVersion

          public int getProviderMajorVersion()
                                      throws javax.jms.JMSException

      Specified by:
        `getProviderMajorVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getProviderMinorVersion

          public int getProviderMinorVersion()
                                      throws javax.jms.JMSException

      Specified by:
        `getProviderMinorVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSXPropertyNames

          public Enumeration getJMSXPropertyNames()
                                           throws javax.jms.JMSException

      Specified by:
        `getJMSXPropertyNames` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

Copyright © 2015. All rights reserved.